use jsonfilter::order;
use serde_json::json;
use std::cmp::Ordering;

fn main() {
    let a = json!(10);
    let b = json!(5);
    println!("Comparing JSON values:");
    println!("a: {}", a);
    println!("b: {}", b);
    match order(&a, &b) {
        Ordering::Greater => println!("a is greater than b"),
        Ordering::Less => println!("a is less than b"),
        Ordering::Equal => println!("a is equal to b"),
    }
}
